﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DemoObjectInitializers
{
    class Customer
    {
        public Int32 CustomerID { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string StreetAddress { get; set; }
        public string City { get; set; }
        public string State { get; set; }
        public string ZipCode { get; set; }


        // Non-default constructor to initialize some public properties
        public Customer
            (
            Int32 customerID,
            string firstName,
            string lastName
            )
        {
            CustomerID = customerID;
            FirstName = firstName;
            LastName = lastName;
        }

        // Non-default constructor to initialize all public properties
        public Customer
            (
            Int32 customerID,
            string firstName,
            string lastName,
            string streetAddress,
            string city,
            string state,
            string zipCode
            )
        {
            CustomerID = customerID;
            FirstName = firstName;
            LastName = lastName;
            StreetAddress = streetAddress;
            City = city;
            State = state;
            ZipCode = zipCode;
        }

        // Default constructor
        public Customer()
        {
            
        }

    }
}
