﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DemoObjectInitializers
{
    class Program
    {
        static void Main(string[] args)
        {

            // Instantiate a customer object 
            // and manually set properties
            Customer cust1 = new Customer();
            cust1.CustomerID = 1;
            cust1.FirstName = "George";
            cust1.LastName = "Washington";
            cust1.StreetAddress = "111 A St";
            cust1.City = "Aville";
            cust1.State = "MI";
            cust1.ZipCode = "10001";


            // Instantiate a customer object
            // and call a non-default constructor 
            // to set all public properties
            Customer cust2 = new Customer
                (
                2,
                "John",
                "Adams",
                "222 B Ave",
                "Beetown",
                "MI",
                "20002"
                );

            // Instantiate a customer object
            // and call a non-default constructor 
            // to set some public properties
            Customer cust3 = new Customer
                (
                3,
                "Thomas",
                "Jefferson"
                );

            // Instantiate a customer object
            // and use object initializers
            // to set some public properties
            Customer cust4 = new Customer() { CustomerID = 4, FirstName = "James", LastName = "Monroe" };

            // Display the results.
            // It doesn't matter how we constructed each object. 
            Console.WriteLine("Customer {0} is {1} {2}.", cust1.CustomerID, cust1.FirstName, cust1.LastName);
            Console.WriteLine("Customer {0} is {1} {2}.", cust2.CustomerID, cust2.FirstName, cust2.LastName);
            Console.WriteLine("Customer {0} is {1} {2}.", cust3.CustomerID, cust3.FirstName, cust3.LastName);
            Console.WriteLine("Customer {0} is {1} {2}.", cust4.CustomerID, cust4.FirstName, cust4.LastName);


            Console.ReadLine();

        }
    }
}
